#include <iostream>
#include <stdio.h>
#include <vector>
#include <string>
#include <algorithm>
#include <map>
#include <queue>
#define ll long long

using namespace std;

int main()
{
    int n, a, b;
    cin >> n;

    for (int i = 0; i < n - 1; i++)
        cin >> a >> b;

    cout << 1;

	return 0;
}